package com.zanxiang.sdk.domain.bo;

import lombok.Data;

/**
 * 支付调起生成相关参数
 *
 * @author xufeng
 * @date 2022/6/8 15:21
 */
@Data
public class ProductPayParamBO {
    private static final long serialVersionUID = 1L;

    private String gameId;

    private String userId; //玩家id

    private String productId;// 商品ID

    private String subject;//订单名称

    private String body;// 商品描述

    private String totalFee;// 总金额(单位是分)

    private String outTradeNo;// 订单号(唯一)

    private String spbillCreateIp;// 发起人IP地址

    private ProductPayAttachParamBO attach;// 附件数据主要用于商户携带订单的自定义数据

    private Integer payDevice;// 支付方式 (1：PC,平板 2：Wap 3:App )

    private Integer payWay;// 支付类型(1:支付宝 2:微信 3:银联)


    //================以下非传项=================

    private String frontUrl;// 前台回调地址  非扫码支付使用

    private Object config; //支付相关配置

    private String deviceSystem; //支付类型详情（android / ios/ window）

}
